<?php
/**
 * The section containing preview of news category posts
 *
 * @package arcHIVE-theme
 * @since arcHIVE-theme 1.0.0
 */

?>

<section class="news">
  <header>
    <h2> News</h2>
  </header>
  <main class="">
    <?php $the_query = new WP_Query(  array( 'category_name' => 'news',  'posts_per_page' => 6 )  ); ?>
    <?php if ( $the_query->have_posts() ) : ?>
    <?php// the loop ?>
    <?php while ( $the_query->have_posts() ) : $the_query->the_post(); ?>
    <?php //content here ?>
    <article class="">
        <?php if ( has_post_thumbnail() ) :?>
      <figure style="background-image: url(<?php echo get_the_post_thumbnail_url();?>);">
          <!--img src="<?php //echo get_the_post_thumbnail_url();?>" /-->
      </figure>
        <?php else :?>
      <figure style="background-image: url(<?php echo catch_post_first_image();?>);">
          <!--img src="<?php //echo catch_post_first_image();?>" /-->
      </figure>
        <?php endif;?>
      <h3 class="entry-title">
        <a href="<?php the_permalink(); ?>" rel="bookmark">
          <?php the_title(); ?>
        </a>
      </h3>
      <p class="excerpt post-excerpt">
        <a href="<?php the_permalink(); ?>" rel="bookmark" title="<?php the_title(); ?>"></a>
        <?php the_excerpt() //echo wp_strip_all_tags( get_the_excerpt(), true ); ?>
      </div>
    </article>
    <?php endwhile; ?>
    <?php // end of the loop ?>
    <?php //pagination here ?>
    <?php wp_reset_postdata(); ?>
<?php else : ?>
    <p><?php _e( 'Sorry, no posts matched your criteria.' ); ?></p>
<?php endif; ?>

  </main>
  <aside>
    <nav>
      <a href="#" class="button hollow">see more news</a>
    </nav>
  </aside>
</section>

